> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Thông tin giao dịch chứng khoán

> Truy vấn thông tin về giá trần/sàn/tham chiếu và trạng thái của mã chứng khoán vào ngày giao dịch.



## OpenAPI

````yaml https://cdn.entrade.com.vn/dnse-openapi/doc/dnse-openapi-2026-07-23.yaml get /price/{symbol}/secdef
openapi: 3.0.0
info:
  title: OpenAPI-V2-Spec 260730
  version: 1.0.0
  description: DNSE OpenAPI spec and tests
servers:
  - url: https://openapi-uat.dnse.com.vn
security: []
paths:
  /price/{symbol}/secdef:
    parameters:
      - name: symbol
        in: path
        required: true
        description: Mã chứng khoán
        schema:
          type: string
        example: HPG
    get:
      tags:
        - market-data
      summary: Thông tin giao dịch chứng khoán
      description: >-
        Truy vấn thông tin về giá trần/sàn/tham chiếu và trạng thái của mã chứng
        khoán vào ngày giao dịch.
      parameters:
        - name: boardId
          in: query
          description: |-
            Mã bảng giao dịch
            - G1: Lô chẵn
            - G4: Lô lẻ
            - T1: Thỏa thuận trong giờ (9h - 14h45)
            - T3: Thỏa thuận sau giờ (14h45 - 15h)
            - T4: Thỏa thuận lô lẻ trong giờ (9h - 14h45)
            - T6: Thỏa thuận lô lẻ sau giờ  (14h45 - 15h)
          schema:
            type: string
          example: G1
        - name: X-API-Key
          in: header
          required: true
          description: API Key được cấp khi đăng ký dịch vụ
          schema:
            type: string
          example: '{{apiKey}}'
        - name: X-Aux-Date
          in: header
          required: true
          description: Thời gian thực hiện yêu cầu
          schema:
            type: string
          example: '{{date}}'
        - name: X-Signature
          in: header
          required: true
          description: Chữ ký xác thực yêu cầu
          schema:
            type: string
          example: '{{signature}}'
        - name: version
          in: header
          description: API version (YYYY-MM-DD)
          schema:
            type: string
          example: '2026-07-23'
      responses:
        '200':
          description: OK
          headers:
            Content-Length:
              schema:
                type: integer
              example: 404
            Date:
              schema:
                type: string
              example: Tue, 26 May 2026 16:17:42 GMT
            Vary:
              schema:
                type: string
              example: Origin
            X-Ratelimit-Limit:
              schema:
                type: integer
              example: 10000
            X-Ratelimit-Remaining:
              schema:
                type: integer
              example: 9999
            X-Ratelimit-Reset:
              schema:
                type: integer
              example: 1779898662
            X-Tyk-Api-Expires:
              schema:
                type: string
              example: Thu, 02 Jan 3000 15:04:00 UTC
          content:
            application/json:
              schema:
                type: array
                example:
                  - marketId: STO
                    boardId: G1
                    isin: VN000000HPG4
                    symbol: HPG
                    productGrpId: STO
                    securityGroupId: ST
                    basicPrice: 94.1
                    ceilingPrice: 100.6
                    floorPrice: 87.6
                    securityStatus: NO_HALT
                    symbolAdminStatusCode: NRM
                    symbolTradingMethodStatusCode: NRM
                    symbolTradingSanctionStatusCode: NRM
                    finalTradeDate: null
                    listingDate: '2007-11-15T00:00:00Z'
                    time: '2026-08-04 08:00:24.008'
                items:
                  type: object
                  properties:
                    marketId:
                      type: string
                      example: STO
                      description: |-
                        Mã thị trường niêm yết mã chứng khoán
                        - DVX: Phái sinh sàn HNX
                        - HCX: Trái phiếu doanh nghiệp HNX
                        - STO: Cổ phiếu sàn HOSE
                        - STX: Cổ phiếu sàn HNX
                        - UPX: Cổ phiếu sàn Upcom
                    boardId:
                      type: string
                      example: G1
                      description: |-
                        Mã bảng giao dịch
                        - G1: Lô chẵn
                        - G4: Lô lẻ
                        - T1: Thỏa thuận trong giờ (9h - 14h45)
                        - T3: Thỏa thuận sau giờ (14h45 - 15h)
                        - T4: Thỏa thuận lô lẻ trong giờ (9h - 14h45)
                        - T6: Thỏa thuận lô lẻ sau giờ (14h45 - 15h)
                    isin:
                      type: string
                      example: VN000000HPG4
                      description: Mã định danh quốc tế
                    symbol:
                      type: string
                      example: HPG
                      description: Mã chứng khoán
                    productGrpId:
                      type: string
                      example: STO
                      description: |-
                        Nhóm sản phẩm theo thị trường
                        - FBX: Hợp đồng tương lai Trái phiếu
                        - FIO: Hợp đồng tương lai Chỉ số
                        - HCX: Trái phiếu Doanh nghiệp HNX
                        - STO: Cổ phiếu sàn HOSE
                        - STX: Cổ phiếu sàn HNX
                        - UPX: Cổ phiếu sàn Upcom
                    securityGroupId:
                      type: string
                      example: ST
                      description: |-
                        Nhóm chứng khoán
                        - BS: Trái phiếu doanh nghiệp
                        - EF: Quỹ ETF
                        - EW: Chứng quyền
                        - FU: Hợp đồng tương lai
                        - ST: Cổ phiếu
                    basicPrice:
                      type: number
                      format: double
                      example: 94.1
                      description: Giá tham chiếu ngày giao dịch
                    ceilingPrice:
                      type: number
                      format: double
                      example: 100.6
                      description: Giá trần ngày giao dịch
                    floorPrice:
                      type: number
                      format: double
                      example: 87.6
                      description: Giá sàn ngày giao dịch
                    securityStatus:
                      type: string
                      example: NO_HALT
                      description: |-
                        Trạng thái giao dịch của mã chứng khoán
                        - HALT: Ngừng giao dịch
                        - NO_HALT: Không ngừng giao dịch
                    symbolAdminStatusCode:
                      type: string
                      example: NRM
                      description: |-
                        Trạng thái quản lý hành chính mã chứng khoán
                        -  CR: Kiểm soát và hạn chế giao dịch
                        - CTR: Kiểm soát
                        - NRM: Bình thường
                        - RES: Hạn chế giao dịch
                        - WFR: Cảnh báo vi phạm BCTC
                        - WID: Cảnh báo vi phạm CBTT
                        - WOV: Cảnh báo vi phạm khác
                    symbolTradingMethodStatusCode:
                      type: string
                      example: NRM
                      description: |-
                        Trạng thái cơ chế giao dịch mã chứng khoán
                        - NRM: Bình thường
                        - NWE: Niêm yết mới (biên độ đặc biệt)
                        -  NWN: Niêm yết mới (biên độ thường)
                        - SLS: Giao dịch đặc biệt sau tạm ngưng
                        - SNE: Giao dịch đặc biệt không có giao dịch dài hạn
                    symbolTradingSanctionStatusCode:
                      type: string
                      example: NRM
                      description: |-
                        Tình trạng giao dịch của mã chứng khoán
                        - NRM: Bình thường
                        -  SUS: Tạm ngừng giao dịch
                        - DTL: Hủy niêm yết để chuyển sàn
                        - TFR: Ngưng giao dịch do hạn chế
                    finalTradeDate:
                      example: null
                      description: Ngày giao dịch cuối cùng (nếu có)
                      nullable: true
                    listingDate:
                      type: string
                      format: date-time
                      example: '2007-11-15T00:00:00Z'
                      description: Ngày niêm yế
                    time:
                      type: string
                      example: '2026-08-04 08:00:24.008'
                      description: Thời gian ghi nhận (YYYY-MM-DD HH:mm:ss.SSS (GMT+7))
                description: ''
              example:
                - marketId: STO
                  boardId: G1
                  isin: VN000000HPG4
                  symbol: HPG
                  productGrpId: STO
                  securityGroupId: ST
                  basicPrice: 94.1
                  ceilingPrice: 100.6
                  floorPrice: 87.6
                  securityStatus: NO_HALT
                  symbolAdminStatusCode: NRM
                  symbolTradingMethodStatusCode: NRM
                  symbolTradingSanctionStatusCode: NRM
                  finalTradeDate: null
                  listingDate: '2007-11-15T00:00:00Z'
                  time: '2026-08-04 08:00:24.008'
        '400':
          description: Yêu cầu không hợp lệ
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  status:
                    type: integer
              example:
                code: OA-003
                message: Thông tin nhập không hợp lệ
                status: 400
        '500':
          description: Lỗi hệ thống
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 500
                    description: Mã HTTP
                    format: int32
                  code:
                    type: string
                    example: OA-009
                    description: Mã lỗi
                  message:
                    type: string
                    example: Lỗi hệ thống
                    description: Thông điệp lỗi
              example:
                code: OA-009
                message: Lỗi hệ thống
                status: 500

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.